import { AllComponentsValidatorRule, AllComponentsValidateContext, ValidateErrorResult } from '../interfaces';
declare class ParentValidatorRule implements AllComponentsValidatorRule {
    kind: 'allComponents';
    validate({ appModel }: AllComponentsValidateContext): ValidateErrorResult[];
}
export declare const AllComponentsRules: ParentValidatorRule[];
export {};
